2026-09-03
Feature meters
- Added:
meteron features, with anaggregation(SUM,MAX,MIN,AVG,COUNTorUNIQUE, plus an optionalfield) andfiltersmade of conditions. Returned on feature responses and accepted when creating a feature.
- Added:
invoiceIdon the next invoice preview of contracts. - Added:
hasSoftLimiton credit entitlements when provisioning or updating a subscription, and when creating a contract.
2026-08-10
- ⚠️ Removed:
billingModelandbillingCadencefields from addon and plan update parameters.
2026-08-05
- Added:
displayNamefield on entities,descriptionfield on entity types. - Added:
eventCountfield onSeriesandPointin the retrieve credit usage response.
2026-07-26
- Added:
creditEntitlementfield on overage pricing for addons and plans.
2026-07-21
- Added:
syncStatesfield on credit grant responses.
2026-07-21
- Added:
eventTypeparameter on the list credit ledger method.
2026-07-18
- ⚠️ Moved: the governance retrieval endpoint from
events.betatov1betacustomers.
2026-07-14
- Added:
STRIPE_INVOICINGto theVendorIdentifierenum on customers.
2026-07-14
- Added: estimate methods on customer events and usage.
2026-07-12
- Added:
consumedfield on consumption and usage credit responses.
2026-07-08
- Added:
idempotencyKeyparameter on the usage report method.
2026-07-05
- ⚠️ Renamed:
capabilityIdtocurrencyId, and addedfeatureId, in the assignment list response.
2026-07-05
- ⚠️ Renamed: entity/governance type fields to
entityTypeId.
2026-07-08
Direct credit consumption
- Added: an endpoint to consume credits directly from a customer’s pool, without reporting usage against a metered feature or requiring an active subscription. Complements the existing grant-credits endpoint so credit balances, grants, and consumption can be managed fully decoupled from Stigg subscription management. See direct credit consumption.
- The check-entitlement endpoint continues to return a valid credit balance for customers with no active subscription.
2026-06-30
- Added:
AIRWALLEXto thevendorIdentifierenum on customer endpoints.
2026-06-23
- Added:
v1.events.dataExport.destinations.updateSelection(update data-export destination selection),PATCH /api/v1/data-export/destinations/{destinationId}.
2026-06-23
- Added:
usagePeriodEndincreditfield on thev1.usage.reportresponse.
2026-06-25
Credit wallet soft limit
- Added:
hasSoftLimitfield on check-entitlement responses. When a credit entitlement is configured as a soft limit in the plan or add-on, the check-entitlement endpoint returnshasAccess: trueandhasSoftLimit: trueeven after the credit balance reaches zero. Hard limit (the default) continues to returnhasAccess: falsewhen the balance is exhausted. Credit-backed features inherit the wallet’s soft-limit so dependent feature reads stay consistent.
2026-06-22
- Added:
salesforceIdfield on thev1.subscriptions.updaterequest.
2026-06-21
- Added:
v1.events.dataExport.listModels(list data-export models),GET /api/v1/data-export/models. - Added:
enabledModelsfield on thev1.events.dataExport.destinations.createand mint data-export scoped token requests. - Added:
enabledModelsindestinationsfield on thev1.events.dataExport.destinations.deleteandv1.events.dataExport.destinations.createresponses.
2026-06-21
- ⚠️ Removed:
MONTHfrom thecadenceenum on customer endpoints.
2026-06-18
- Added:
v1.events.beta.customers.retrieveGovernance(get a list of governance nodes),GET /api/v1-beta/customers/{id}/governance.
2026-06-11
- Added:
scopeEntityIdsinchainsfield on thev1Beta.customers.entitlements.checkresponse.
2026-06-10
- Added:
currencyId,featureId,parentIdandscopeEntityIdsinassignmentsfields on thev1Beta.customers.assignments.upsertrequest. - Added:
currencyId,featureId,parentIdandscopeEntityIdsfields on thev1Beta.customers.assignments.listandv1Beta.customers.assignments.upsertresponses. - ⚠️ Removed:
capabilityIdinassignmentsfield from thev1Beta.customers.assignments.upsertrequest. - ⚠️ Removed:
capabilityIdfield from thev1Beta.customers.assignments.listandv1Beta.customers.assignments.upsertresponses.
2026-06-08
- Added:
cancellationDatefield on thev1.subscriptions.updateandv1.subscriptions.provisionrequests. - Added:
connectionStatusandlastSyncStatusindestinationsfields on thev1.events.dataExport.destinations.deleteandv1.events.dataExport.destinations.createresponses.
2026-06-04
- Added:
v1.events.dataExport.destinations.delete(remove data-export destination),DELETE /api/v1/data-export/destinations/{destinationId}. - Added:
v1.events.dataExport.destinations.create(add data-export destination),POST /api/v1/data-export/destinations. - Added: Mint data-export scoped token,
POST /api/v1/data-export/scoped-token. - Added:
v1.events.dataExport.triggerSync(trigger data-export sync),POST /api/v1/data-export/sync.
2026-06-01
Credit usage breakdown by event dimensions
- Added:
groupByarray parameter on the retrieve credit usage endpoint to break down credit consumption by any dimension key attached to reported usage events (e.g.,user,model,region). Results are paginated for performance at high event volumes.
2026-06-01
- Added:
PREQUELto thevendorIdentifierenum on customer endpoints.
2026-05-28
- Added:
RECEIVEDto thevendorIdentifierenum on customer endpoints.
2026-05-26
- Added:
tagsinseriesfield on thev1.credits.getUsageresponse.
2026-05-26
- Added:
v1Beta.customers.assignments.list(get a list of assignments),GET /api/v1-beta/customers/{id}/assignments. - Added:
v1Beta.customers.assignments.upsert(upsert assignments),PUT /api/v1-beta/customers/{id}/assignments.
2026-05-25
- Added:
v1Beta.customers.entities.list(get a list of entitys),GET /api/v1-beta/customers/{id}/entities. - Added:
v1Beta.customers.entities.retrieve(get a single entity by ID),GET /api/v1-beta/customers/{id}/entities/{entityId}. - Added:
v1Beta.customers.entities.archive(archive entities),POST /api/v1-beta/customers/{id}/entities/archive. - Added:
v1Beta.customers.entities.unarchive(unarchive entities),POST /api/v1-beta/customers/{id}/entities/unarchive. - Added:
v1Beta.customers.entities.upsert(upsert entities),PUT /api/v1-beta/customers/{id}/entities.
2026-05-24
- Added:
v1Beta.entityTypes.list(get a list of entity types),GET /api/v1-beta/entity-types. - Added:
v1Beta.entityTypes.upsert(upsert entity types),PUT /api/v1-beta/entity-types.
2026-05-21
- Added:
v1Beta.customers.entitlements.check(check entitlement (beta)),GET /api/v1-beta/customers/{id}/entitlements/check.
2026-05-18
- Added:
v1.addons.listCharges(list addon charges),GET /api/v1/addons/{id}/charges. - Added:
v1.plans.listCharges(list plan charges),GET /api/v1/plans/{id}/charges. - Added:
v1.plans.listOverageCharges(list plan overage charges),GET /api/v1/plans/{id}/overage-charges.
2026-05-12
- Added:
v1.credits.customCurrencies.list(get a list of custom currencys),GET /api/v1/credits/custom-currencies. - Added:
v1.credits.customCurrencies.listAssociatedEntities(list custom currency associated entities),GET /api/v1/credits/custom-currencies/{currencyId}/associated-entities. - Added:
v1.credits.customCurrencies.update(update custom currency),PATCH /api/v1/credits/custom-currencies/{currencyId}. - Added:
v1.credits.customCurrencies.create(create custom currency),POST /api/v1/credits/custom-currencies. - Added:
v1.credits.customCurrencies.archive(archive custom currency),POST /api/v1/credits/custom-currencies/{currencyId}/archive. - Added:
v1.credits.customCurrencies.unarchive(unarchive custom currency),POST /api/v1/credits/custom-currencies/{currencyId}/unarchive. - Added:
BOOLEAN,ENUMandNUMBERto thefeatureTypeenum onv1.features.listFeatures. - Added:
FLUCTUATING,INCREMENTALandNoneto themeterTypeenum onv1.features.listFeatures. - Added:
CUSTOM,FREEandPAIDto thepricingTypeenum onv1.subscriptions.list. - Added:
ACTIVE,ARCHIVED,Active,CANCELED,DRAFT,EXPIRED,Expired,IN_TRIAL,NEWandNOT_STARTEDand more to thestatusenum on addon, coupon, customer, feature, plan, product and subscription endpoints. - Added:
APP_STORE,AUTH0,AWS_MARKETPLACE,BIG_QUERY,HUBSPOT,OPEN_FGA,SALESFORCE,SNOWFLAKE,STRIPEandZUORAto thevendorIdentifierenum onv1.customers.integrations.list.
2026-05-06
- ⚠️ Removed:
OVERDRAFTandRECURRINGfrom thegrantTypeenum onv1.credits.grants.create.
2026-05-06
- Added:
v1.customers.checkEntitlement(check entitlement),GET /api/v1/customers/{id}/entitlements/check.
2026-04-28
- ⚠️ Removed: Delete event queue,
DELETE /internal/beta/event-queues/{queueName}. - ⚠️ Removed: Get a list of event queues,
GET /internal/beta/event-queues. - ⚠️ Removed: Get a single event queue by ID,
GET /internal/beta/event-queues/{queueName}. - ⚠️ Removed: Update a event queue,
PATCH /internal/beta/event-queues/{queueName}. - ⚠️ Removed: Provision event queue,
POST /internal/beta/event-queues/provision.
2026-05-10
Credit usage date filters
- Added:
startDateandendDateparameters on the retrieve credit usage endpoint. Pass specific start and end timestamps to retrieve credit consumption data for an exact time window, in addition to the existing preset period enums. See customer credits.
2026-04-16
- Added:
DATA_EXPORT_SYNC_FAILEDandINCOMING_AIRBYTE_WEBHOOKto theeventTypesenum on update a event queue and provision event queue.
2026-04-15
- Added:
CUSTOM_CURRENCY_ARCHIVED,CUSTOM_CURRENCY_CREATED,CUSTOM_CURRENCY_UNARCHIVEDandCUSTOM_CURRENCY_UPDATEDto theeventTypesenum on update a event queue and provision event queue.
2026-04-13
- ⚠️ Removed:
includeInactiveSubscriptionsquery parameter fromv1.usage.history. - Added:
EDGE_API_CUSTOM_CURRENCY_CACHE_DATA_RESYNCto theeventTypesenum on update a event queue and provision event queue.
2026-04-08
- Added:
includeInactiveSubscriptionsquery parameter onv1.usage.history. - ⚠️ Removed:
EDGE_API_CUSTOM_CURRENCY_CACHE_DATA_RESYNCfrom theeventTypesenum on update a event queue and provision event queue.
2026-04-08
- ⚠️ Removed:
includeInactiveSubscriptionsquery parameter fromv1.usage.history. - Added:
EDGE_API_CUSTOM_CURRENCY_CACHE_DATA_RESYNCto theeventTypesenum on update a event queue and provision event queue.
2026-04-06
- Added:
v1.customers.integrations.unlink(unlink customer integration),DELETE /api/v1/customers/{id}/integrations/{integrationId}. - Added: Delete event queue,
DELETE /internal/beta/event-queues/{queueName}. - Added:
v1.customers.integrations.list(get a list of customer integrations),GET /api/v1/customers/{id}/integrations. - Added:
v1.customers.integrations.retrieve(get a single customer integration by ID),GET /api/v1/customers/{id}/integrations/{integrationId}. - Added: Get a list of event queues,
GET /internal/beta/event-queues. - Added: Get a single event queue by ID,
GET /internal/beta/event-queues/{queueName}. - Added:
v1.customers.integrations.update(update a customer integration),PATCH /api/v1/customers/{id}/integrations/{integrationId}. - Added: Update a event queue,
PATCH /internal/beta/event-queues/{queueName}. - Added:
v1.customers.integrations.link(link customer integration),POST /api/v1/customers/{id}/integrations. - Added: Provision event queue,
POST /internal/beta/event-queues/provision.
2026-03-18
- Added:
OVERDRAFTto thegrantTypeenum on credit endpoints.
2026-03-18
- Added:
idinentitlements.featurefield on thev1.customers.retrieveEntitlementsandv1.subscriptions.provisionresponses. - ⚠️ Removed:
refIdinentitlements.featurefield from thev1.customers.retrieveEntitlementsandv1.subscriptions.provisionresponses.
2026-03-18
- Added:
metadatainentitlements.currencyfield on thev1.customers.retrieveEntitlementsandv1.subscriptions.provisionresponses. - ⚠️ Removed:
additionalMetaDatainentitlements.currencyfield from thev1.customers.retrieveEntitlementsandv1.subscriptions.provisionresponses.
2026-03-17
- Added:
CREDITS_CONSUMPTION_TRANSFER_SOURCEandCREDITS_CONSUMPTION_TRANSFER_TARGETto theeventTypeenum onv1.credits.listLedger.
2026-03-17
- ⚠️ Removed: Delete event queue,
DELETE /api/v1/event-queues/{queueName}. - ⚠️ Removed: Get a list of event queues,
GET /api/v1/event-queues. - ⚠️ Removed: Get a single event queue by ID,
GET /api/v1/event-queues/{queueName}. - ⚠️ Removed: Update a event queue,
PATCH /api/v1/event-queues/{queueName}. - ⚠️ Removed: Provision event queue,
POST /api/v1/event-queues/provision. - Added:
targetIdfield on thev1.products.duplicateProductrequest. - ⚠️ Removed:
idfield from thev1.products.duplicateProductrequest.
2026-03-16
- ⚠️ Removed: Set addon pricing,
PUT /api/v1/addons/{id}/charges. - ⚠️ Removed: Set plan pricing,
PUT /api/v1/plans/{id}/charges. - Added:
chargesfield on thev1.addons.updateandv1.plans.updaterequests. - Added:
dependencyFeatureIdfield on thev1.addons.entitlements.updateandv1.plans.entitlements.updaterequests. - Added:
dependencyFeatureIdinentitlementsfield on thev1.addons.entitlements.createandv1.plans.entitlements.createrequests. - Added:
dependencyFeatureIdfield on addon and plan responses (8 endpoints).
2026-03-16
- Added: Delete event queue,
DELETE /api/v1/event-queues/{queueName}. - Added:
language,passthroughandtimezonefields on thev1.customers.updateandv1.customers.provisionrequests. - Added:
language,passthroughandtimezonefields on customer responses (8 endpoints). - Added:
EVENT_QUEUE_DEPROVISIONING_REQUESTEDto theeventTypesenum on update a event queue and provision event queue. - Added:
DEPROVISIONINGto thestatusenum on event queue endpoints.
2026-03-15
- Added:
billingCurrencyfield on thev1.customers.updateandv1.customers.provisionrequests. - Added:
billingCurrencyfield on customer responses (8 endpoints).
2026-03-12
- Added:
v1.customers.retrieveEntitlements(get entitlements state),GET /api/v1/customers/{id}/entitlements. - Added: Get a list of event queues,
GET /api/v1/event-queues. - Added: Get a single event queue by ID,
GET /api/v1/event-queues/{queueName}. - Added: Update a event queue,
PATCH /api/v1/event-queues/{queueName}. - Added: Provision event queue,
POST /api/v1/event-queues/provision. - Added:
billingIdandsalesforceIdincustomers;integrationIdfields on thev1.customers.importrequest.
2026-03-09
- Added:
metadatafield on coupon responses (5 endpoints).
2026-03-09
- Added:
billingIdfield on thev1.customers.updateandv1.customers.provisionrequests. - Added:
billingIdfield on customer responses (8 endpoints).
2026-03-09
- Added:
amount,behavior,cadence,description,displayNameOverride,enumValues,hasSoftLimitandhasUnlimitedUsageand 10 more fields on thev1.addons.entitlements.updateandv1.plans.entitlements.updaterequests. - Added:
amount,behavior,cadence,description,displayNameOverride,enumValues,hasSoftLimitandhasUnlimitedUsageand 11 more inentitlementsfields on thev1.addons.entitlements.createandv1.plans.entitlements.createrequests. - Added:
amount,cadence,hasSoftLimit,hasUnlimitedUsage,id,monthlyResetPeriodConfiguration,resetPeriodandtypeand 3 more inentitlementsfields on thev1.subscriptions.updateandv1.subscriptions.provisionrequests. - ⚠️ Removed:
creditandfeaturefields from thev1.addons.entitlements.updateandv1.plans.entitlements.updaterequests. - ⚠️ Removed:
creditandfeatureinentitlementsfields from addon, plan and subscription requests (4 endpoints). - ⚠️ Removed:
customCurrencyIdandfeatureIdfields from addon and plan responses (8 endpoints).
2026-03-09
- Added:
includeInactiveSubscriptionsquery parameter onv1.usage.history. - ⚠️ Removed:
includeHistoricalUsagequery parameter fromv1.usage.history.
2026-03-08
- Added:
entitlementsfield on thev1.subscriptions.updateandv1.subscriptions.provisionrequests. - ⚠️ Removed:
subscriptionEntitlementsfield from thev1.subscriptions.updateandv1.subscriptions.provisionrequests. - Added:
CREDITS_UPDATEDto theeventTypeenum onv1.credits.listLedger.
2026-03-05
- Added:
includeHistoricalUsagequery parameter onv1.usage.history.
2026-03-05
- Added:
v1.credits.getUsage(get credit usage),GET /api/v1/credits/usage. - Added:
v1.credits.grants.create(create a credit grant),POST /api/v1/credits/grants. - Added:
v1.credits.grants.void(void credit grant),POST /api/v1/credits/grants/{id}/void. - Added:
statusfield on thev1.addons.updaterequest.
2026-03-04
- Added:
v1.credits.getAutoRecharge(get automatic recharge configuration),GET /api/v1/credits/auto-recharge. - Added:
amountandcurrencyinminimumSpend;amount,billingCountryCodeandcurrencyinpriceOverridesfields on thev1.subscriptions.provisionrequest. - Added:
amountandcurrencyinminimumSpend;amountandcurrencyinpriceOverridesfields on thev1.subscriptions.updaterequest. - Added:
billingCycleAnchor,budget,coupons,futureUpdates,latestInvoice,minimumSpend,subscriptionEntitlementsandtrial;addonId,amount,baseCharge,billingCountryCode,blockSize,currency,featureIdandtiersinpricesfields on subscription responses (7 endpoints). - Added:
billingCycleAnchor,budget,coupons,futureUpdates,latestInvoice,minimumSpend,subscriptionEntitlementsandtrialinsubscription;amount,billingCountryCodeandcurrencyinsubscription.pricesfields on thev1.subscriptions.provisionresponse. - ⚠️ Removed:
minimuminminimumSpend;priceinpriceOverridesfields from thev1.subscriptions.updaterequest. - ⚠️ Removed:
minimuminminimumSpend;priceinpriceOverrides;billingCountryCodeinpriceOverrides.tiers.flatPrice;billingCountryCodeinpriceOverrides.tiers.unitPricefields from thev1.subscriptions.provisionrequest. - ⚠️ Removed:
createdAt,idandupdatedAtinpricesfields from subscription responses (7 endpoints). - ⚠️ Removed:
priceinsubscription.pricesfield from thev1.subscriptions.provisionresponse.
2026-03-02
- Added:
v1.credits.grants.list(get a list of credit grants),GET /api/v1/credits/grants. - Added:
v1.credits.listLedger(get a list of credit ledger events),GET /api/v1/credits/ledger. - Added:
idinaddonsfield on thev1.subscriptions.update,v1.subscriptions.provisionandv1.subscriptions.previewrequests. - Added:
addons,billingPeriodandchargesinsubscriptionsfields on thev1.subscriptions.importrequest. - Added:
idinfreeItemsfield on thev1.subscriptions.previewresponse. - ⚠️ Removed:
addonIdinaddonsfield from thev1.subscriptions.update,v1.subscriptions.provisionandv1.subscriptions.previewrequests. - ⚠️ Removed:
addonIdinfreeItemsfield from thev1.subscriptions.previewresponse.
2026-02-26
- Added:
v1.addons.entitlements.delete(delete addon entitlement),DELETE /api/v1/addons/{addonId}/entitlements/{id}. - Added:
v1.plans.removeDraft(remove plan draft),DELETE /api/v1/plans/{id}/draft. - Added:
v1.plans.entitlements.delete(delete plan entitlement),DELETE /api/v1/plans/{planId}/entitlements/{id}. - Added:
v1.addons.entitlements.list(get a list of addon entitlements),GET /api/v1/addons/{addonId}/entitlements. - Added:
v1.plans.entitlements.list(get a list of plan entitlements),GET /api/v1/plans/{planId}/entitlements. - Added:
v1.addons.entitlements.update(update a addon entitlement),PATCH /api/v1/addons/{addonId}/entitlements/{id}. - Added:
v1.plans.update(update a plan),PATCH /api/v1/plans/{id}. - Added:
v1.plans.entitlements.update(update a plan entitlement),PATCH /api/v1/plans/{planId}/entitlements/{id}. - Added:
v1.addons.entitlements.create(create addon entitlements),POST /api/v1/addons/{addonId}/entitlements. - Added:
v1.plans.archive(archive plan),POST /api/v1/plans/{id}/archive. - Added:
v1.plans.createDraft(create plan draft),POST /api/v1/plans/{id}/draft. - Added:
v1.plans.publish(publish plan),POST /api/v1/plans/{id}/publish. - Added:
v1.plans.entitlements.create(create plan entitlements),POST /api/v1/plans/{planId}/entitlements. - Added: Set addon pricing,
PUT /api/v1/addons/{id}/charges. - Added: Set plan pricing,
PUT /api/v1/plans/{id}/charges. - Added:
defaultTrialConfigfield on thev1.plans.createrequest. - Added:
compatibleAddonIdsanddefaultTrialConfigfields on thev1.plans.list,v1.plans.retrieveandv1.plans.createresponses. - Added:
additionalMetaData,description,displayName,unitPluralandunitSingularinentitlements.currencyfields on thev1.subscriptions.provisionresponse.
2026-02-18
- Added:
idfield on thev1.products.duplicateProductrequest.
2026-02-18
- ⚠️ Removed:
idfield from thev1.products.duplicateProductrequest.
2026-02-18
- Added:
idfield on thev1.products.duplicateProductrequest.
2026-02-18
- ⚠️ Removed:
idfield from thev1.products.duplicateProductrequest.
2026-02-18
- Added:
v1.plans.list(get a list of plans),GET /api/v1/plans. - Added:
v1.plans.retrieve(get a single plan by ID),GET /api/v1/plans/{id}. - Added:
v1.plans.create(create plan),POST /api/v1/plans. - Added:
productIdfield on addon responses (6 endpoints).
2026-02-18
- Added:
v1.addons.removeDraft(remove addon draft),DELETE /api/v1/addons/{id}/draft. - ⚠️ Removed: Revoke promotional entitlement,
DELETE /api/v1/customers/{customerId}/promotional/{featureId}. - Added:
v1.customers.promotionalEntitlements.revoke(revoke promotional entitlement),DELETE /api/v1/customers/{id}/promotional-entitlements/{featureId}. - Added:
v1.addons.list(get a list of addons),GET /api/v1/addons. - Added:
v1.addons.retrieve(get a single addon by ID),GET /api/v1/addons/{id}. - Added:
v1.customers.promotionalEntitlements.list(get a list of promotional entitlements),GET /api/v1/customers/{id}/promotional-entitlements. - Added:
v1.features.listFeatures(get a list of features),GET /api/v1/features. - Added:
v1.features.retrieveFeature(get a single feature by ID),GET /api/v1/features/{id}. - Added:
v1.addons.update(update a addon),PATCH /api/v1/addons/{id}. - Added:
v1.coupons.updateCoupon(update a coupon),PATCH /api/v1/coupons/{id}. - Added:
v1.features.updateFeature(update a feature),PATCH /api/v1/features/{id}. - Added:
v1.products.updateProduct(update a product),PATCH /api/v1/products/{id}. - Added:
v1.addons.create(create an addon),POST /api/v1/addons. - Added:
v1.addons.archive(archive an addon),POST /api/v1/addons/{id}/archive. - Added:
v1.addons.createDraft(create addon draft),POST /api/v1/addons/{id}/draft. - Added:
v1.addons.publish(publish addon),POST /api/v1/addons/{id}/publish. - Added:
v1.coupons.archiveCoupon(archive coupon),POST /api/v1/coupons/{id}/archive. - ⚠️ Removed: Create a promotional entitlements,
POST /api/v1/customers/{customerId}/promotional. - Added:
v1.customers.promotionalEntitlements.create(create a promotional entitlements),POST /api/v1/customers/{id}/promotional-entitlements. - Added:
v1.features.createFeature(create a feature),POST /api/v1/features. - Added:
v1.features.archiveFeature(archive feature),POST /api/v1/features/{id}/archive. - Added:
v1.features.unarchiveFeature(unarchive feature),POST /api/v1/features/{id}/unarchive. - Added:
v1.products.createProduct(create product),POST /api/v1/products. - Added:
v1.products.archiveProduct(archive product),POST /api/v1/products/{id}/archive. - Added:
v1.products.duplicateProduct(duplicate product),POST /api/v1/products/{id}/duplicate. - Added:
v1.products.unarchiveProduct(unarchive product),POST /api/v1/products/{id}/unarchive. - Added:
v1.subscriptions.invoice.markAsPaid(mark subscription invoice as paid),POST /api/v1/subscriptions/{id}/invoice/paid. - Added:
v1.subscriptions.usage.chargeUsage(charge subscription usage),POST /api/v1/subscriptions/{id}/usage/charge. - Added:
v1.subscriptions.usage.sync(trigger subscription usage sync),POST /api/v1/subscriptions/{id}/usage/sync. - Added:
metadatafield on thev1.coupons.createrequest. - Added:
addonId,baseChargeandcurrencyIdinpriceOverridesfields on thev1.subscriptions.updaterequest. - Added:
createdAt,emailandnamequery parameters onv1.customers.list. - Added:
createdAt,idandstatusquery parameters onv1.products.listProducts. - Added:
createdAt,id,statusandtypequery parameters onv1.coupons.list. - Added:
createdAt,planId,pricingTypeandresourceIdquery parameters onv1.subscriptions.list. - Added:
productSettingsfield on thev1.products.listProductsresponse. - ⚠️ Removed:
additionalMetaDatafield from thev1.coupons.createrequest.
2026-03-19
- Added:
billingCycleAnchorproperty when provisioning and updating subscriptions. AcceptsSubscriptionBillingCycleAnchor.UNCHANGED(default) to keep the existing billing cycle anchor, orSubscriptionBillingCycleAnchor.NOWto reset it to the current timestamp.
2026-01-29
- Updated stainless config
2026-01-29
- API updates delivered in this release
2026-01-27
- Manual updates to the API
2026-01-27
Features:
- Added customer endpoints
- Exception handling for retryable scenarios
- Improved cursor-based pagination
- HTTP configuration options and dispatcher customization
- ProGuard and R8 compatibility enhancements
- Multi-value header serialization fixes
- Timezone preservation in date-time parsing
- CI/CD pipeline improvements
- Documentation updates
- Extensive API endpoint coverage